%
% Agucamento usando Laplaciano
%
% Moacir Ponti Jr (ICMC/USP) 2012-1
% 
function B = aguc_passo_passo(A,c)

    figure;
    
    imshow(A);

    %pause;
    
    % recupera o tamanho da imagem
    [N,M] = size(A);

    % filtro laplaciano
    W = [0 1 0; 1 c 1; 0 1 0 ];

    % aplica laplaciano
    L = filter2(W,A);
    
    figure;
    
    imshow(L);
    
    %pause;
    
    L_inv=-1.*double(L);
    
    figure;
    
    imshow(L_inv);
    
    %pause;

    % soma
    S = double(A) + L_inv;
    
    figure;
    
    imshow(S);
    
    %pause;

    % ajusta valores para o intervalo [0 255]
    B = mat2gray(S);
    
    figure;
    
    imshow(B);
