% =========================================================
% Universidade de São Paulo (USP)
% Instituto de Ciências Matemáticas e de Computação (ICMC)
% SCC0251 - Processamento de Imagens - 2013/1
% Prof. Dr. Mario Gazziro
% Monitor PAE: Vinicius Ruela Pereira Borges
%
% AULA 2: Processamento no Domínio Espacial
% =========================================================

%Fecha todas as janelas
close all;
clear all;
clc;

%Le a imagem
a=imread('lena.jpg');

%Mostra a imagem original
figure;
imshow(a);

%Degrada a imagem de acordo com o ruido desejado
%a2 = imnoise(a, 'salt & pepper', 0.1);
a2 = imnoise(a, 'gaussian');

%Mostra a imagem ruidosa
figure;
imshow(a2);

%Suavizacao da imagem
b = suavizacao(a2,3);
b = suavizacao(a2,7);
b = suavizacao(a2,15);


%Mostra o resultado da imagem processada e normalizada
figure, imshow(uint8(255*(b/ max(b(: )))));

%Fim
