% =========================================================
% Universidade de São Paulo (USP)
% Instituto de Ciências Matemáticas e de Computação (ICMC)
% SCC0251 - Processamento de Imagens - 2013/1
% Prof. Dr. Mario Gazziro
% Monitor PAE: Vinicius Ruela Pereira Borges
%
% AULA 2: Processamento no Domínio Espacial
% =========================================================

%Fecha todas as janelas
close all;
clear all;
clc;

%Le a imagem
a=imread('lena.jpg');

%Mostra a imagem original
figure;
imshow(a);

%Degrada a imagem de acordo com o ruido desejado
%a2 = imnoise(a, 'salt & pepper', 0.1);
a2 = imnoise(a, 'gaussian');

%Mostra a imagem ruidosa
figure;
imshow(a2);

%Gera uma matriz com  valores 1
%b = ones(3, 3);
b = ones(7, 7);
%b = ones(31, 31);
%b = ones(131, 131);

%Convolui a imagem original com a matriz
c = conv2(double (a2), b);

%Mostra o resultado da imagem processada e normalizada
figure, imshow(uint8(255*(c/ max(c(: )))));

%Fim

